using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using TMPro;
using UnityEngine;
using UnityEngine.Events;
using UnityEngine.UI;
using System.Reflection;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
			CategoryBuilder.Create("Marley Empire", "A category for Marley Empire items.", ModAPI.LoadSprite("category.png"));
            //Tybur Family Guard
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Tybur Family Guard",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Tybur Family Guard.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("M_guards.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("M_guard.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

            ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Tybur Family Guard Helmet",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "Guard helmet.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("marley guard hat picture.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("marley guard hat.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            );

//Eldian Troop
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Eldian Troop",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Eldian Troop.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Eldian_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Eldian.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

            ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Eldian Helm",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "Typical Helmet.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Helm.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            ); 

//Marley Officer Troop
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Marley Officer Troop",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Marley Officer Troop.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("a_officer_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("a_officer.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

            ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Stick"),
                          NameOverride = "Marley officer cap",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "Typical officer cap.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Marley_officer cap.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("marley officer cap.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            );
  
//Marley Officer Troop Jungle
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Marley Officer Troop Jungle",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Marley Officer Troop.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Marley Jungle officer_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Marley Jungle officer.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

            ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Stick"),
                          NameOverride = "Marley officer cap Jungle",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "Typical officer cap.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Marley_officer jungle cap.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("marley officer jungle cap.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "MarleyHelmet",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "Typical Helmet.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("MarleyHelmet_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MarleyHelmet.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 3f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            );

//Marley Troop Jungle
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Marley Troop Jungle",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Marley Troop.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Marley Jungle troop_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Marley Jungle troop.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Marley Troop Infantry
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Marley Troop Infantry",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Marley Troop Infantry.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Marleyan_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Marleyan.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

               ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "MarleyHelmet Camo",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "Typical Helmet.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("MarleyHJ_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MarleyHJ.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 3f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Stick"),
                          NameOverride = "Eldian Troop Armband",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "eldian armband for troops.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("eldiatrooperarmband_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("eldiatrooperarmband.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "UpperArm";
                              armor.armorTier = 1;

                         }
                     }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Stick"),
                          NameOverride = "Eldian Warrior Armband",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "eldian armband for Warriors.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("eldiawariorarmband_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("eldiawariorarmband.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "UpperArm";
                              armor.armorTier = 1;

                         }
                     }
               );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Stick"),
                          NameOverride = "Eldian Candidate Armband",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "eldian armband for Candidate Warriors.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("eldiacandidatearmband_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("eldiacandidatearmband.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "UpperArm";
                              armor.armorTier = 1;

                    }
                }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "BulletProof Vest",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "BulletProof Vest.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("armorpeace_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("armorpeace.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "FUpperArm";
                              armor.armorTier = 1;

                    }
                }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Stick"),
                          NameOverride = "GasMask",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "GasMask wants protect you from gas.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Gasmask123_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Gasmask123.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 1;

                    }
                }
            );

//Marley Chemical Unit
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Marley Chemical Unit",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Marley Chemical Unit.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("MarleyanGasCommando_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("MarleyanGasCommando.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "GasMask Filter",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "GasMask Filter wants protect you from gas.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Gasfuel_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Gasfuel.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "FUpperArm";
                              armor.armorTier = 1;

                    }
                }
            );

//U9 Pistol
                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Glock 17"),
                        NameOverride = "U9 Pistol",
                        NameToOrderByOverride = "h",
                        DescriptionOverride = "The captured Mauser Pistol is mainly used by officers of the White Army..",
                        CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                        ThumbnailOverride = ModAPI.LoadSprite("U9 Pistol_.png", 5f),
                        AfterSpawn = (Instance) =>
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("U9 Pistol.png");
    						Instance.FixColliders();
                              var firearm = Instance.GetComponent<FirearmBehaviour>();
                            firearm.ShotSounds = new AudioClip[]
                            {
                                ModAPI.LoadSound("Mauser.wav")
                            };
                        }
                    }
                );

//Marley BayonetKnife
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "Marley BayonetKnife",
                    NameToOrderByOverride = "g",
                    DescriptionOverride = "STAB STAB.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("BayonetKnife_.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BayonetKnife.png");
						Instance.FixColliders();
                    }
                }
            );

//Tybur Guard Sword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "Tybur Guard Sword",
                    NameToOrderByOverride = "g",
                    DescriptionOverride = "STAB STAB.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("TyburSabre_.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("TyburSabre.png");
						Instance.FixColliders();
                    }
                }
            );

//Anti Titan Rifle
                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                        NameOverride = "Anti Titan Rifle",
                        NameToOrderByOverride = "h",
                        DescriptionOverride = "Anti titan Rifle Used by Marleyans in sesson 4..",
                        CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                        ThumbnailOverride = ModAPI.LoadSprite("AntititanRifle_.png", 5f),
                        AfterSpawn = (Instance) =>
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AntititanRifle.png");
    						Instance.FixColliders();
                              var firearm = Instance.GetComponent<FirearmBehaviour>();
                            firearm.ShotSounds = new AudioClip[]
                            {
                                ModAPI.LoadSound("boys.wav")
                            };
                        }
                    }
                );

//Bolt Action Rifle
                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Rifle"),
                        NameOverride = "Marley Rifle",
                        NameToOrderByOverride = "h",
                        DescriptionOverride = "Rifle Used by Marleyans in sesson 4..",
                        CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                        ThumbnailOverride = ModAPI.LoadSprite("Boltactionrifle_.png", 5f),
                        AfterSpawn = (Instance) =>
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Boltactionrifle.png");
    						Instance.FixColliders();
                              var firearm = Instance.GetComponent<FirearmBehaviour>();
                            firearm.ShotSounds = new AudioClip[]
                            {
                                ModAPI.LoadSound("Mosin.wav")
                            };
                        }
                    }
                );


//Tybur Family Guard Officer
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Tybur Family Guard Officer",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Tybur Family Guard.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("M_guards.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("M_guardofficer.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Marley Public Security
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Marley Public Security",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "The Marley Public Security is responsible for maintaining order within the Eldian internment zones such as Liberio on the continental mainland.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("MarleySecurity_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("MarleySecurity.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Stick"),
                          NameOverride = "Marley Public Security Cap",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical Cap.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("MarleySecurityCap_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MarleySecurityCap.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 1;

                    }
                }
            );

//Marley Sailor
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Marley Sailor",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Member of Marley navy most powerful army in the world.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("MarleySailor_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("MarleySailor.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Stick"),
                          NameOverride = "Marley Sailor Cap",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical Cap.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("MarleySailorHat_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MarleySailorHat.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 1;

                    }
                }
            );

//Marley Sailor Captain
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Marley Navy Captain",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Member of Marley navy most powerful army in the world.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("MarleySailorCaptain_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("MarleySailorCaptain.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Stick"),
                          NameOverride = "Marley Navy Captain Cap",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical Cap.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("MarleySailorCaptainCap_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MarleySailorCaptainCap.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 1;

                    }
                }
            );

//Marley Infantry OffDuty
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Marley Infantry OffDuty",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Marleyan sollider in offdutty.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Infantryoffservice_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Infantryoffservice.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Marley Infantry OffDuty
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Marley Commando OffDuty",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Marleyan sollider in offdutty.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Camooffservice_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Camooffservice.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Marley Liberio Guard
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Marley Liberio Guard",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Marleyan sollider who guarding border betwen eldia part and marley part of liberio.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("LiberioEldiaguard_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("LiberioEldiaguard.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Stick"),
                          NameOverride = "Marley OffDutty Cap",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical Cap.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("offduty_cap_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("offduty_cap.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 1;

                    }
                }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Stick"),
                          NameOverride = "Eldian Citizen Armband",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "eldian armband for Citizens.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("eldiacitizenarmband_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("eldiacitizenarmband.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "UpperArm";
                              armor.armorTier = 1;

                         }
                     }
               );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Stick"),
                          NameOverride = "Marley LiberioGuard Cap",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "just cap.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Cap_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cap.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 1;

                         }
                     }
               );

//Marley Flamethrower
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Flamethrower"),
                    NameOverride = "Marley Flamethrower",
                    NameToOrderByOverride = "h",
                    DescriptionOverride = "A Marley Flamethrower.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flamethrower_.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flamethrower.png");
						Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "FuelTank",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "FuelTank.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("fuel tank_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("fuel tank.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "FUpperArm";
                              armor.armorTier = 1;

                         }
                     }
               );

//Marley Artillery Member
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Marley Artillery Troop",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "marleyan who operates behind cannon.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Artillery Icon_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ArtilleryMember.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Marley Artillery Member Officer
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Marley Artillery Officer",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "marleyan who operates his man behind the cannon.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Artillery Icon_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ArtilleryOfficer.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );



ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Marley Artillery Beret",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "Beret.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("MarleyBeret_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MarleyBeret.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 1;

                         }
                     }
               );

//Marley SnowTrooper
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Marley SnowTrooper",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Marley SnowTrooper are solliders who operate in snow places.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("SnowTrooper__.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SnowTrooper.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );


//SnowFur
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Mirror"),
                    NameOverride = "SnowFur",
                    NameToOrderByOverride = "SnowFur",
                    DescriptionOverride = "SnowFur",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("SnowFur_.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SnowFur.png", 1f);
                        Instance.FixColliders();
                    }
                }
            );

//Airborn Glasses
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Mirror"),
                    NameOverride = "Airborn Glasses",
                    NameToOrderByOverride = "Airborn Glasses",
                    DescriptionOverride = "Airborn Glasses",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("AirbornGlasses_.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Airbornglasses.png", 1f);
                        Instance.FixColliders();
                    }
                }
            );

//MarleyGeneral
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "MarleyGeneral",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "MarleyGeneral Leader of Marley Army.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("MarleyGeneral_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("MarleyGeneral.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Marley Parachute",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "Parachute for marleyans and eldians.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Parachute_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Parachute.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "FUpperArm";
                              armor.armorTier = 1;

                         }
                     }
               );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Marching Backpack",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "Backpack for marleyans and eldians.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("MarchingBackpack_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MarchingBackpack.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "FUpperArm";
                              armor.armorTier = 1;

                         }
                     }
               );

//Sand
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Anchor"),
                                NameOverride = "Sand",
                                DescriptionOverride = "The playground's bounding box, now at the palm of your hands!",
                                CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                                ThumbnailOverride = ModAPI.LoadSprite("Sand_.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sand.png");
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();

                        }
                    }
               );
//Map Block
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Anchor"),
                                NameOverride = "Map Block",
                                DescriptionOverride = "The playground's bounding box, now at the palm of your hands!",
                                CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                                ThumbnailOverride = ModAPI.LoadSprite("Block_.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Block.png");
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();

                        }
                    }
               );

//Eren Kruger
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Eren Kruger",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Unknow Sollider.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Eren_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Eren.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Zeke Yeager
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Zeke Yeager",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Beast titan owner.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Zeke_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Zeke.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Rainer Braun 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Rainer Braun ",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Armored Titan owner.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Rainar_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Rainar.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Marley Glasses
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Mirror"),
                    NameOverride = "Zeke Glasses",
                    NameToOrderByOverride = "Zeke Glasses",
                    DescriptionOverride = "Zeke Glasses",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Glasses_.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glasses.png", 1f);
                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Binoculares",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "Look look the creator.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Binocular_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Binocular.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "FUpperArm";
                              armor.armorTier = 1;

                         }
                     }
               );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Baricade",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "Baricade.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("baricade_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("baricade.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "FUpperArm";
                              armor.armorTier = 1;

                         }
                     }
               );

//Picek Finger
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Picek Finger",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Waifu omg.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Picek_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Picek.png");
                        var flesh = ModAPI.LoadTexture("Female flesh layer.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Porco Galliard
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Porco Galliard",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Ohayo poko.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Porco_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Porco.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );



//Udo
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Udo",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Poor boy .",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Udo_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Udo.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Falco
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Falco Grice",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "CUte.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Falco_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Falco.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Gabi Braun",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "KILL HER",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Gabi Braun_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Gabi Braun.png");                                 
                        person.SetBodyTextures(skin,null,null,1);                           
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                        var head = Instance.transform.GetChild(5);
                        var hat = new GameObject("Brick");
                        hat.transform.SetParent(head);
                        hat.transform.localPosition = new Vector3(0f, 0f);
                        hat.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        hat.transform.localScale = new Vector3(1f, 1f);
                        var hatsprite = hat.AddComponent<SpriteRenderer>();
                        hatsprite.sprite = ModAPI.LoadSprite("ConstructionHat.png");
                        hatsprite.sortingLayerName = "Top";
                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength *= 2f;                          
                            body.Health *= 33f;
                            body.BreakingThreshold *= 30f;
                            body.transform.root.localScale *= 0.99f;                         
                        }                    
                    }
                }
            ); 

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Zofia",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Poor girl",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Zofia_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Zofia.png");                                 
                        person.SetBodyTextures(skin,null,null,1);                           
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                        var head = Instance.transform.GetChild(5);
                        var hat = new GameObject("Brick");
                        hat.transform.SetParent(head);
                        hat.transform.localPosition = new Vector3(0f, 0f);
                        hat.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        hat.transform.localScale = new Vector3(1f, 1f);
                        var hatsprite = hat.AddComponent<SpriteRenderer>();
                        hatsprite.sprite = ModAPI.LoadSprite("ConstructionHat2.png");
                        hatsprite.sortingLayerName = "Top";
                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength *= 2f;                          
                            body.Health *= 33f;
                            body.BreakingThreshold *= 30f;
                            body.transform.root.localScale *= 0.99f;                         
                        }                    
                    }
                }
            ); 

//Zeke Y
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Zeke Uniform",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Zeke Uniform.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Z_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Zeke uniformed.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Rainar Y
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Rainer Uniform",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Rainer Uniform.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("R_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Rainar uniformed.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Picek Y
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Picek Uniform",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Picek Uniform.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("P_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Picek uniformed.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Porco Y
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Porco Uniform",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Porco Uniform.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("PO_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Porco uniformed.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Willy
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Willy Tybur",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Willy Tybur member of royal family.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Willy Tybur_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Willy Tybur.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Lara Tybur",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Poor girl",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("L_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("L.png");                                 
                        person.SetBodyTextures(skin,null,null,1);                           
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                        var head = Instance.transform.GetChild(5);
                        var hat = new GameObject("Brick");
                        hat.transform.SetParent(head);
                        hat.transform.localPosition = new Vector3(0f, 0f);
                        hat.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        hat.transform.localScale = new Vector3(1f, 1f);
                        var hatsprite = hat.AddComponent<SpriteRenderer>();
                        hatsprite.sprite = ModAPI.LoadSprite("Lara.png");
                        hatsprite.sortingLayerName = "Top";
                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength *= 2f;                          
                            body.Health *= 33f;
                            body.BreakingThreshold *= 30f;
                            body.transform.root.localScale *= 0.99f;                         
                        }                    
                    }
                }
            ); 
//Marley Glasses
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Mirror"),
                    NameOverride = "Zeke Glasses",
                    NameToOrderByOverride = "Zeke Glasses",
                    DescriptionOverride = "Zeke Glasses",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Glasses_.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glasses.png", 1f);
                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "crutch",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "crutch.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("crutch_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("crutch.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 0f;
                              armor.armorPiece = "FUpperArm";
                              armor.armorTier = 1;

                         }
                     }
               );

//infantry ottoman
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mid-East Allied Forcesinfantry",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "the Alliance formed by all nations in middle east.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Ottomaninfantry_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Ottomaninfantry.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//infantry ottoman officer
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mid-East Allied Forcesinfantry officer",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "infantry officer of the Alliance formed by all nations in middle east.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Ottomaninfantry_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Ottomaninfantryofficer.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Ottoman Officer Hat",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical hat.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Ottomanofficer_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ottomanofficer.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            ); 

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Ottoman Artillery Hat",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical hat.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Ottomanartilleryhat_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ottomanartilleryhat.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            ); 

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Ottoman Cavalry Hat",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical hat.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Ottomancavalryhat_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ottomancavalryhat.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Ottoman Medicinal Hat",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical hat.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Ottomanmedicinal_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ottomanmedicinal.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Ottoman Medicinal Hat",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical hat.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Ottomanmedicinal_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ottomanmedicinal.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            ); 

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Ottoman Machinegunner Hat",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical hat.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Ottomanmachine gunner_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ottomanmachine gunner.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            );

//Ottoman volunteer bachelor
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mid-East Allied Forcesinfantry volunteer bachelor",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "infantry officer of the Alliance formed by all nations in middle east.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Ottoman volunteer_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Ottoman volunteer bachelor.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Ottoman volunteer 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mid-East Allied Forcesinfantry volunteer",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "infantry volunteer of the Alliance formed by all nations in middle east.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Ottoman volunteer_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Ottoman volunteer.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Ottoman Cavalry 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mid-East Allied Forcesinfantry cavalry",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "cavalry of the Alliance formed by all nations in middle east.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Ottomaninfantry_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ottoman cavalry.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Ottoman Sailor 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mid-East Allied Forcesinfantry Sailor",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Navy of the Alliance formed by all nations in middle east.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Turkysh sailor_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Turkysh sailor.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Ottoman Captain 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mid-East Allied Forces Captain",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Navy of the Alliance formed by all nations in middle east.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Turkysh Captain_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Turkysh Captain.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );

//Ottoman Egyptian

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mid-East Allied Forces Egyptian",
					NameToOrderByOverride = "a",
                    DescriptionOverride = "Egyptian of the Alliance formed by all nations in middle east.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Afganinf_.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Afganinf.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(154, 0, 7);
                        person.SetThirdBruiseColor(207, 206, 120);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);
                    }
                }
            );


 ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Ottoman Helmet",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical helmet.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Ottoman Helmet_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ottoman Helmet.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Ottoman cap",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical cap.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("ottoman cap_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ottoman cap.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            );

//Turkysh Sabre
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "Turkysh Sabre",
                    NameToOrderByOverride = "g",
                    DescriptionOverride = "STAB STAB.",
                    CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Ottoman Sabre_.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ottoman Sabre.png");
						Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Fezz hat",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical cap.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Fez hat_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Fez hat.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Mid-East Allied Forces Captain cap",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical cap.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Captain cap_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Captain cap.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Mid-East Allied Forces Sailor hat",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical cap.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("sailorf cap_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sailorf cap.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            );




ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Mid-East Allied Forces Sailor Fezz hat",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical hat.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Sailor Fezz_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sailor Fezz.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "Head";
                              armor.armorTier = 0;

                         }
                     }
            );



ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Tukysh Elite Backpack",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical Backpack.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("Tukysh elite_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tukysh elite.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "FUpperArm";
                              armor.armorTier = 0;

                         }
                     }
            );

ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Tukysh Ammo",
                          NameToOrderByOverride = "f",
                          DescriptionOverride = "typical ammo.",
                          CategoryOverride = ModAPI.FindCategory("Marley Empire"),
                          ThumbnailOverride = ModAPI.LoadSprite("turkyAp_.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("turkyAp.png");
                  Instance.FixColliders();
                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                              armor.stabResistance = 2f;
                              armor.armorPiece = "FUpperArm";
                              armor.armorTier = 0;

                         }
                     }
            );


        }
    }
}
